
Smart Proxy - Feature #1508

Run a wide search on DHCP for IP address

02/27/2012 02:55 AM - Avi Tal

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I had a scenario were i had to search for IP related to a MAC i already had but i didn't have the network.

There for I've ran a for loop query each network with my mac address.

The search took around 10 minutes.

My environment: Smart Proxy on windows server 2008

My request:

1. give an option to query IP address with given MAC and without network.

example: http://dhcp.server:8443/dhcp/*/00:e0:81:59:c8:e3

there for having an internal loop (inside proxy) will make it less complicated,

and much faster

2. having an internal DHCP caching: a DHCP server use to give the same IP to the same MAC

every time. there for caching the DHCP and then query from caching will make it much faster.

about the caching validation: much faster will be to qury a specific network because we saved it in caching.

Related issues:

Has duplicate Smart Proxy - Feature #2482: Global search in DHCP reservations... New 05/09/2013

History

#1 - 07/18/2012 03:44 AM - Ohad Levy

- Priority changed from High to Normal

#2 - 09/08/2013 07:38 AM - Ohad Levy

- Has duplicate Feature #2482: Global search in DHCP reservations/leases using MAC and/or hostname added

#3 - 09/08/2013 07:39 AM - Ohad Levy

- Description updated

- Status changed from New to Duplicate
